@echo off
echo RM15 Specific Face Assignment Statement Generator
echo by scouser09

if not exist players (mkdir players)

SetLocal EnableDelayedExpansion
for /f "tokens=1,2,3,4,5,6,7,8 delims=_" %%a IN ('dir /b ..\..\..\sceneassets\heads\head_*_0.rx3') do (

set m=%%b


if not exist players\player_!m!.lua (echo assignPlayerFace^(!m!^)>> players\player_!m!.lua) else (

findstr /m "assignPlayerFace^(!m!^)" players\player_!m!.lua
if errorlevel 1 (echo assignPlayerFace^(!m!^)>> players\player_!m!.lua)

)


)

















